# Create order

When a filter satisfy your need you can create an Order.\
If you have a rate card associated to your account the status will be automatically set as ACCEPTED when the Order is ready, WAITING\_VALIDATION otherwise to be updated be your sales contact.\
\
**Steps:**

1. Create an order :<https://openapi.sirdata.io/customer/#tag/order/paths/~1customer~1storage~1{id}~1filter~1{filterId}~1order/post>
2. Get Order status until status is ACCEPTED (limit 1 request per minute maximum) <https://openapi.sirdata.io/customer/#tag/order/paths/~1customer~1order~1{id}/get>
3. Get Order segments statistics
4. Download accepted Order <https://openapi.sirdata.io/customer/#tag/order/paths/~1customer~1order~1{orderId}~1data/get>

```javascript
let orderRequest = {
  "comment": "my first order",
  "limit": 2000,
  "limit_per_column": {
    "column_index": 4,
    "limits": {
      "01": 30,
      "05": 50
    }
  } 
}
let storageId = 123;
let filterId = 456;

fetch("https://gateway.sirdata.io/api/v1/public/customer/storage/"+storageId+"/filter/"+filterId+"/order", {
  "method": "POST",
  "headers": {
    "Content-Type": "application/json",
    "x-api-token": "XXXXX-XXXXX-XXXXX-XXXXX",
  },
  "body": JSON.stringify(orderRequest)
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

If a limit per column has been set you can retrieve the volume per value limit using the Get Order <https://openapi.sirdata.io/customer/#tag/order/paths/~1customer~1order~1{id}/get>\
Property table.volume\_*per*\_*limit* contains volume by values.\
table.row\_count is the total volume


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sirdata.net/customer-api/create-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
